REM #LUp: 27.01.2022/J.Fes List JobParameter
setlocal
 if "%~1" equ "" call :JobParam_List_NO
 if "%~2" equ "" call :JobParam_List_NO
 set ParmListTitle=%~1
 set JobParams=%~2
 rem " ersetzen durch '
 set JobParams=%JobParams:"='%
 if "%~2" neq "" call :JobParam_List
endlocal
goto :eof

:JobParam_List_NO
 Call Echo "Parameter List.................: %ParmListTitle% - has no parameter"
 goto :eof

:JobParam_List
  if "%ParmListTitle%" neq "" Call Echo "Parameter List.................: %ParmListTitle%"
  set NCur=0

 :JobParam_List_PrintNext
  set /a NCur=%NCur%+1
  FOR /F "tokens=%NCur% delims=-" %%i IN ("%JobParams%") do Call :JobParam_Print "%%i"
  if %NCur% LEQ 10 goto :JobParam_List_PrintNext
goto :eof

:JobParam_Print
  set JobParaCur=%~1
  if "%JobParaCur%" neq "" Call Echo "...............................: -%JobParaCur%"
 goto :eof
